#pragma once
#include "coffeeplugin.h"
#include <QUrl>
#include <QObject>

class CappuccinoPlugin : public QObject, public CoffeePlugin {

  Q_OBJECT

  Q_PLUGIN_METADATA(IID "ICS.CoffeePlugin/1.0" FILE "cappuccinoplugin.json")
  Q_INTERFACES(CoffeePlugin)

public:
  explicit CappuccinoPlugin();

  virtual QUrl getCoffeeIcon() const override;

  CoffeeWorkflowController *createCoffeeWorkFlowController() override;
};
