#pragma once
#include <QtPlugin>

class CoffeeWorkflowController;

class CoffeePlugin {

public:
  virtual ~CoffeePlugin() = default;

  virtual QUrl getCoffeeIcon() const = 0;

  virtual CoffeeWorkflowController *createCoffeeWorkFlowController() = 0;
};

QT_BEGIN_NAMESPACE
#define CoffeePlugin_iid "ICS.CoffeePlugin/1.0"
Q_DECLARE_INTERFACE(CoffeePlugin, CoffeePlugin_iid)
QT_END_NAMESPACE
