#pragma once

#include "coffeeworkflowcontroller.h"
#include <QObject>

class EsspressoWorkflowQMLData;

class EsspressoCoffeeWorkflowController : public QObject,
                                           public CoffeeWorkflowController {
  Q_OBJECT

public:
  explicit EsspressoCoffeeWorkflowController(QObject *parent = nullptr);

  virtual void startWork(const QVariantMap &) override;

  virtual QUrl mainPanelQmlUrl() const override;
  virtual QObject *qmlPresenterData() const override;

  void destroy() override;

private:
  EsspressoWorkflowQMLData *m_EsspressoWorkflowData;
};
