#include "esspressoplugin.h"
#include "esspressocoffeeworkflowcontroller.h"

void injectResources() { Q_INIT_RESOURCE(esspressopluginscreens); }

EsspressoPlugin::EsspressoPlugin() { injectResources(); }

QUrl EsspressoPlugin::getCoffeeIcon() const {
  return QUrl("qrc:/EsspressoPlugin/EsspressoPluginIcon.png");
}

CoffeeWorkflowController *EsspressoPlugin::createCoffeeWorkFlowController() {
  return new EsspressoCoffeeWorkflowController();
}
