#include "cappuccinocoffeeworkflowcontroller.h"
#include "cappuccinoworkflowqmldata.h"
#include <QDebug>
#include <QTimer>

CappuccinoCoffeeWorkflowController::CappuccinoCoffeeWorkflowController(
    QObject *parent)
    : QObject(parent), CoffeeWorkflowController(),
      m_cappuccinoWorkflowData(new CappuccinoWorkflowQMLData(this)) {

  connect(m_cappuccinoWorkflowData,
          &CappuccinoWorkflowQMLData::notifyQuitPluginRequest, this,
          [this] { endUiWorkFlow(); });
}

void CappuccinoCoffeeWorkflowController::startWork(const QVariantMap &) {

  beginUiWorkflow();
}

QUrl CappuccinoCoffeeWorkflowController::mainPanelQmlUrl() const {

  return QUrl("qrc:/cappuccinoPlugin/MainCappuccinoPanel.qml");
}

QObject *CappuccinoCoffeeWorkflowController::qmlPresenterData() const {
  return m_cappuccinoWorkflowData;
}

void CappuccinoCoffeeWorkflowController::destroy() { deleteLater(); }
