#pragma once

#include "coffeeworkflowcontroller.h"
#include <QObject>

class CappuccinoWorkflowQMLData;

class CappuccinoCoffeeWorkflowController : public QObject,
                                           public CoffeeWorkflowController {
  Q_OBJECT

public:
  explicit CappuccinoCoffeeWorkflowController(QObject *parent = nullptr);

  virtual void startWork(const QVariantMap &) override;

  virtual QUrl mainPanelQmlUrl() const override;
  virtual QObject *qmlPresenterData() const override;

  virtual void destroy() override;

private:
  CappuccinoWorkflowQMLData *m_cappuccinoWorkflowData;
};
