#pragma once
#include "coffeeplugin.h"
#include <QObject>
#include <QUrl>

class EsspressoPlugin : public QObject, public CoffeePlugin {
  Q_OBJECT

  Q_PLUGIN_METADATA(IID "ICS.CoffeePlugin/1.0" FILE "esspressoplugin.json")
  Q_INTERFACES(CoffeePlugin)

public:
  explicit EsspressoPlugin();

  virtual QUrl getCoffeeIcon() const override;

  CoffeeWorkflowController *createCoffeeWorkFlowController() override;
};
